Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
Halide::Runtime::Internal::MemoryRegion Struct Reference

`#include <memory_resources.h>`

## Public Attributes
void * | handle = nullptr
size_t | offset = 0
size_t | size = 0
MemoryRange | range
bool | dedicated = false
bool | is_owner = true
MemoryProperties | properties

## Detailed Description

Definition at line 79 of file memory_resources.h.

## Member Data Documentation

## ◆ handle

void* Halide::Runtime::Internal::MemoryRegion::handle = nullptr

Definition at line 80 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_region(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::owner_of().

## ◆ offset

size_t Halide::Runtime::Internal::MemoryRegion::offset = 0

Definition at line 81 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::map(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::reclaim(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::release(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::retain(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::unmap().

## ◆ size

size_t Halide::Runtime::Internal::MemoryRegion::size = 0

Definition at line 82 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::RegionAllocator::collect(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::map(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::reclaim(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::release(), Halide::Runtime::Internal::RegionAllocator::reserve(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::retain(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::unmap().

## ◆ range

MemoryRange Halide::Runtime::Internal::MemoryRegion::range

Definition at line 83 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::map(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::unmap().

## ◆ dedicated

bool Halide::Runtime::Internal::MemoryRegion::dedicated = false

Definition at line 84 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_region().

## ◆ is_owner

bool Halide::Runtime::Internal::MemoryRegion::is_owner = true

Definition at line 85 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::owner_of().

## ◆ properties

MemoryProperties Halide::Runtime::Internal::MemoryRegion::properties

Definition at line 86 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_region().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h